package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "ProjectWorkTimeAndType", description = "人员工时统计中存储项目和工时信息")
public class ProjectWorkTimeAndType{
    /**
     * 项目编号
     */
    @ApiModelProperty(name = "projectId", value = "项目编号")
    private Integer projectId;

    /**
     *  项目名称
     */
    @ApiModelProperty(name = "projectName", value = "项目名称")
    private String projectName;

    /**
     *  项目类型
     */
    @ApiModelProperty(name = "workTimeType", value = "项目类型")
    private Integer workTimeType;



    /**
     * 加班工时
     */
    @ApiModelProperty(name = "isOvertime", value = "加班工时")
    private Integer overTime;

    /**
     * 加班工时
     */
    @ApiModelProperty(name = "normalTime", value = "正常工时")
    private Integer normalTime;

    /**
     * 总工时：加班工时+正常工时
     */
    @ApiModelProperty(name = "totalTime", value = "总工时")
    private Integer totalTime;

}